<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.ldap-key-store">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="dir-context,new-item-template,alias-attribute,certificate-attribute,certificate-chain-attribute,certificate-chain-encoding,certificate-type,key-attribute,key-type,filter-alias,filter-certificate,filter-iterate,search-path,search-recursive,search-time-limit"/>
        <elem name="addr-params" value="profile,host,subsystem,ldap-key-store"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.key-store.$ldap-key-store"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.dir-context.$dir-context"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="new-item-template" nillable="true"/>
        <param name="certificate-chain-attribute" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="search-time-limit" nillable="true"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="certificate-type" nillable="true"/>
        <param name="key-attribute" nillable="true"/>
        <param name="alias-attribute" nillable="true"/>
        <param name="certificate-attribute" nillable="true"/>
        <param name="certificate-chain-encoding" nillable="true"/>
        <param name="ldap-key-store" feature-id="true"/>
        <param name="search-path"/>
        <param name="dir-context"/>
        <param name="key-type" nillable="true"/>
        <param name="filter-certificate" nillable="true"/>
        <param name="search-recursive" nillable="true"/>
        <param name="filter-alias" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="filter-iterate" nillable="true"/>
    </params>
</feature-spec>